- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# thompson.hh File Reference

The thompson automaton. More...

Include dependency graph for thompson.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename A, typename T, typename Letter, typename Weight>
void | thompson_of (Element< A, T > &out, const rat::exp< Letter, Weight > &kexp)
| The Thompson automaton associated to the krat expression.
template<class AutoType, class S, class T>
Element< Automata< S >, AutoType > | thompson_of (const Element< S, T > &exp)
| The Thompson automaton associated to the krat expression.

## Detailed Description

The thompson automaton.

This file contains functions to build automata from rationnal expressions, using thompson algorithm.

See also:
  thompson_of()

Definition in file thompson.hh.